SeExpr

Public Member Functions | Private Attributes | List of all members
SeExpr2::PrintTiming Class Reference

`#include <Platform.h>`

## Public Member Functions
| PrintTiming (const std::string &s)
| ~PrintTiming ()

## Private Attributes
Timer | _timer
const std::string | _s

## Detailed Description

Definition at line 150 of file Platform.h.

## Constructor & Destructor Documentation

## ◆ PrintTiming()

SeExpr2::PrintTiming::PrintTiming | ( | const std::string & | s | ) |
| inline

Definition at line 152 of file Platform.h.

References _timer, and SeExpr2::Timer::start().

## ◆ ~PrintTiming()

SeExpr2::PrintTiming::~PrintTiming | ( |  | ) |
| inline

Definition at line 154 of file Platform.h.

References _s, _timer, and SeExpr2::Timer::elapsedTime().

## Member Data Documentation

## ◆ _s

const std::string SeExpr2::PrintTiming::_s
| private

Definition at line 159 of file Platform.h.

Referenced by ~PrintTiming().

## ◆ _timer

Timer SeExpr2::PrintTiming::_timer
| private

Definition at line 158 of file Platform.h.

Referenced by PrintTiming(), and ~PrintTiming().

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/Platform.h